Bug 160775 - kernel 2.6.12-1 poweroff always fails
kernel 2.6.12-1 poweroff always fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-17 04:20 EDT by Martin
Modified: 2015-01-04 17:20 EST (History)
31 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 00:24:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
grub.conf (1.34 KB, application/octet-stream)
2006-01-17 15:59 EST, Martin
no flags Details

  None (edit)
Description Martin 2005-06-17 04:20:36 EDT
+++ This bug was initially created as a clone of Bug #132761 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.7.2)
Gecko/20040803

Description of problem:
system report ACPI_POWER_OFF CALLED but don't go off.
No error was reported, but work well in vanilla kernel 2.6.7 and the
system power off correctly.

Version-Release number of selected component (if applicable):
FC4 Kernel 2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1.call poweroff of shutdown -h now
    

Actual Results:  ACPI_POWER_OFF CALLED is the last message - to power
of the machine - I pressed for 5 sec the power off buttom.

Additional info:
Comment 1 Quereller 2005-06-22 17:40:55 EDT
Same problem here, see bug 151634
Comment 2 Dave Jones 2005-07-07 19:27:34 EDT

*** This bug has been marked as a duplicate of 162561 ***
Comment 3 Martin 2005-07-18 05:04:36 EDT
not the same problem as in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=162561

problem still exists with
kernel-2.6.12-1.1398_FC4.i686.rpm
and
kernel-2.6.12-1.1434_FC5.i686.rpm
 
Comment 4 Martin 2005-08-03 13:04:58 EDT
kernel-2.6.12-1.1446_FC5 seems to print more messages, but power off fails again:

Halting system ...
md: md0 switched to read-only mode.
ACPI: PCI interrupt for device 0000:02:01.0 disabled
ACPI: PCI interrupt for device 0000:00:1f.5 disable
Comment 5 stef 2005-09-04 13:28:31 EDT
I have some news for this matter.

since 2.6.11 kernels my machine don't power-off on itself, even the last
kernel-2.6.12-1.1447_FC4 kernel doesn't work, so I tryed to have a look at the
brand new 2.6.13 vanilla kernel and compile it.

It seemed promising since the number of changes in poweroff, reboot and ACPI
subsystems were huge.

And it works !
With this kernel the machine is finally able to power-off itself.

Everyone should try to compile a vanilla kernel and see if it resolve this bug :

-get the 2.6.13 archive and uncompress at /usr/src/
-copy /boot/config-{your_current_kernel} in .config
-launch  make all  and answer to all the new parameters (leave by default if unsure)
-mkdir /lib/modules/2.6.13
-launch  make modules_install
-launch  make install
-reboot and choose the 2.6.13 at grub prompt
-press power off button or shutdown in gnome-panel and see if it power offs on
itself
Comment 6 stef 2005-09-04 13:31:53 EDT
isn't bug 155127 duplicate ?
Comment 7 Martin 2005-09-09 12:19:53 EDT
the problem still exists with 2.6.13 vanilla kernel, the kernel do not poweroff
my  machine with the MSI Board.
Comment 8 Dave Jones 2005-09-30 02:49:14 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 9 Martin 2005-09-30 17:20:16 EDT
problem still exists with 2.6.13-1.1526_FC4
Comment 10 Chris Vlad 2005-10-04 18:00:04 EDT
IBM 440 8687-XXA with 4 Xeons, kernel 2.6.13-1.1526_fc4
the problem still exists.


(In reply to comment #5)
> I have some news for this matter.
> since 2.6.11 kernels my machine don't power-off on itself, even the last
> kernel-2.6.12-1.1447_FC4 kernel doesn't work, so I tryed to have a look at the
> brand new 2.6.13 vanilla kernel and compile it.
> It seemed promising since the number of changes in poweroff, reboot and ACPI
> subsystems were huge.
> And it works !
> With this kernel the machine is finally able to power-off itself.
> Everyone should try to compile a vanilla kernel and see if it resolve this 
bug :
> -get the 2.6.13 archive and uncompress at /usr/src/
> -copy /boot/config-{your_current_kernel} in .config
> -launch  make all  and answer to all the new parameters (leave by default if 
unsure)
> -mkdir /lib/modules/2.6.13
> -launch  make modules_install
> -launch  make install
> -reboot and choose the 2.6.13 at grub prompt
> -press power off button or shutdown in gnome-panel and see if it power offs on
> itself

Comment 11 Dave Jones 2005-11-10 14:56:28 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 12 Martin 2005-11-10 15:08:52 EST
problem still exists with kernel-2.6.14-1.1636_FC4.i686.rpm 
Comment 13 Martin 2006-01-10 02:30:11 EST
a good day for peoples with the mSI MS-6758 (875P Neo) Board.
With kernel-2.6.15-1.1823_FC4.i686.rpm the problem doesn't longer exists.
'shutdown -h now' works for me.
Comment 14 Martin 2006-01-11 12:16:56 EST
Why does entering "shutdown -h now" from the command line works but the
Gnome/KDE shutdown option will cause this problem?

Do the Gnome/KDE use poweroff as command ?
poweroff from the command line do not poweroff the machine.
Comment 15 Dave Jones 2006-01-12 18:44:25 EST
when you do it from gnome, how far does it get ? Does it go all the way to
'power down' messages being printed ?
Comment 16 Martin 2006-01-13 17:21:22 EST
the Gnome/KDE shutdown print the following messages, but the computer doesn't
power off.

Turning off swap:
Turning off quotas:
Unmounting pipe file systems:
Unmounting file systems:
Halting System ...
md: stopping all md devices.
md: md0 switched to read-only mode.
Shutdown: hdb
Shutdown: hda
Power down.
acpi_power_off called
Comment 17 Martin 2006-01-14 08:46:45 EST
a real poweroff from console, works at the moment only with 2.6.15-1.1823_FC4
and in conjunction with apm=real-mode-poweroff in /etc/grub.conf
Comment 18 Dave Jones 2006-01-17 00:22:10 EST
were you going from memory on that, or is that the argument you're using ?
The reason I ask, is that there's no such parameter in the current kernel, so it
should do the same thing as if you'd not passed any options at all :)
Comment 19 Martin 2006-01-17 15:53:18 EST
sorry i couldn't remeber excactly the argument, but now i have the correct on.
At the moment i have 4 different Kernels running on my system.
But now it come the extremely mysterioese on it, please believe me, I have no
drinking beer wine or drugs.

If i want that the power_off works on the last actualy kernel in this example
2.6.15-1.1824_FC4, i need always a additional line or a dummy line in the grub.conf.

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd1,0)
#          kernel /boot/vmlinuz-version ro root=/dev/hdb1
#          initrd /boot/initrd-version.img
# boot=/dev/hdb
default=0
timeout=25
splashimage=(hd1,0)/boot/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (dummy line not bootable)
        root (hd1,0)
        kernel /boot/vmlinuz-2.6.15-1.1825_FC4 ro root=LABEL=/1 rhgb quiet
        initrd /boot/initrd-2.6.15-1.1825_FC4.img
title Fedora Core (2.6.15-1.1824_FC4)
        root (hd1,0)
        kernel /boot/vmlinuz-2.6.15-1.1824_FC4 apm=realmode-power-off ro
root=LABEL=/1 rhgb quiet
        initrd /boot/initrd-2.6.15-1.1824_FC4.img
title Fedora Core (2.6.15-1.1823_FC4)
        root (hd1,0)
        kernel /boot/vmlinuz-2.6.15-1.1823_FC4 apm=realmode-power-off ro
root=LABEL=/1 rhgb quiet
        initrd /boot/initrd-2.6.15-1.1823_FC4.img
title Fedora Core (2.6.14-1.1656_FC4)
        root (hd1,0)
        kernel /boot/vmlinuz-2.6.14-1.1656_FC4 ro root=LABEL=/1 rhgb quiet
        initrd /boot/initrd-2.6.14-1.1656_FC4.img
title Fedora Core (2.6.11-1.1369_FC4)
        root (hd1,0)
        kernel /boot/vmlinuz-2.6.11-1.1369_FC4 ro root=LABEL=/1 rhgb quiet
        initrd /boot/initrd-2.6.11-1.1369_FC4.img
title Windows2000
        rootnoverify (hd0,0)
        chainloader +1
Comment 20 Martin 2006-01-17 15:59:25 EST
Created attachment 123331 [details]
grub.conf

attached is the file /etc/grub.conf
Comment 21 Linux ACPI Developers 2006-01-17 23:47:11 EST
does poweroff still fail with FC5 T2?
Is it possible to try a 2.6.15 kernel.org kernel to see if
this is specific to fedora, or a generic problem that that
may effect only specific systems?
Comment 22 Martin 2006-01-18 16:07:03 EST
(In reply to comment #21)
> does poweroff still fail with FC5 T2?
I couldn't test this version

> Is it possible to try a 2.6.15 kernel.org kernel to see if
> this is specific to fedora, or a generic problem that that
> may effect only specific systems?
with the 2.6.16-rc1 kernel there is no longer need of a additional line above
the booting kernel version in grub.conf,
therefore i think it's a problem mit the fedora kernel ?

all of the listed kernels poweroff the machine correct !

# boot=/dev/hdb
default=1
timeout=25
splashimage=(hd1,0)/boot/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.16-rc1)
        root (hd1,0)
        kernel /boot/vmlinuz-2.6.16-rc1 apm=realmode-power-off ro root=LABEL=/1
rhgb quiet
        initrd /boot/initrd-2.6.16-rc1.img
title Fedora Core (2.6.15-1.1824_FC4)
        root (hd1,0)
        kernel /boot/vmlinuz-2.6.15-1.1824_FC4 apm=realmode-power-off ro
root=LABEL=/1 rhgb quiet
        initrd /boot/initrd-2.6.15-1.1824_FC4.img
title Fedora Core (2.6.15-1.1823_FC4)
        root (hd1,0)
        kernel /boot/vmlinuz-2.6.15-1.1823_FC4 apm=realmode-power-off ro
root=LABEL=/1 rhgb quiet
        initrd /boot/initrd-2.6.15-1.1823_FC4.img
Comment 23 Martin 2006-01-19 16:18:49 EST
I found a solution for my problem.
It is no longer necessary to add a additional line in grub.conf above the
booting kernel line.
With grub-0.97-2 from FC5 the problem is gone.
The bug report could be closed.
Comment 24 Dave Jones 2006-02-03 02:05:18 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 25 Martin 2006-02-08 07:36:10 EST
with kernel version: 2.6.15-1.1830_FC4 and the standard FC4 grub-0.95-13
the machine poweroff correct. It's no longer need a additional line in grub.

the grub line looks like this:
title Fedora Core (2.6.15-1.1830_FC4)
	root (hd1,0)
	kernel /boot/vmlinuz-2.6.15-1.1830_FC4 apm=realmode-power-off ro 
root=LABEL=/1 rhgb quiet
	initrd /boot/initrd-2.6.15-1.1830_FC4.img

I think the bug can be closed.
Comment 26 stef 2006-03-02 16:26:30 EST
same Pb, described in bug #180006 , this time it appears with the 2.6.15 series.

however the solutions showed here didn't worked for this case.

Note You need to log in before you can comment on or make changes to this bug.